// pages/home/me/jcjb/jcjb.js
const app = getApp();//新建页面时 默认引入
const req = app.xzjlReq();//初始化一个的request() 实例
Page({

    /**
     * 页面的初始数据
     */
    data: {
        timeout:3,
        showTimeout:false,
        showDialog:false
    },
    go2Reback(){
        wx.switchTab({
            url: '/pages/home/me/indexx',
          })
    },
    // 长按解除羁绊
    handleLongPress() {
        this.setData({showTimeout:true})
        this.setIn = setInterval(() => {
            this.setData({
                timeout: this.data.timeout - 1
            })
            if(this.data.timeout === 0){
                req.patchRequest('/api/user/curt/lover/unbinding',{}).then((res) => {
                    console.log(res,'已经解除羁绊');
                })
                clearInterval(this.setIn)
                this.setData({
                    showTimeout:false,
                    showDialog:true
                })
            }
        },1000)
    },
    // 取消长按
    handleTouchEnd(){
        this.setData({
            timeout:3,
            showTimeout:false,
        })
        clearInterval(this.setIn)
    },
    closeDialog(){
        this.setData({showDialog:false})
        wx.switchTab({
            url: '/pages/home/me/indexx'
        })
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {

    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})